Bug 1308731 - Segfault during dnf upgrade due to problem with SELinux
Segfault during dnf upgrade due to problem with SELinux
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 16:30 EST by Volodymyr M. Lisivka
Modified: 2016-12-20 13:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:45:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volodymyr M. Lisivka 2016-02-15 16:30:50 EST
Description of problem:

Something bad happen to my SELinux, so I cannot upgrade mys system. 

This error shown during upgrade:

  Оновлення        : pcre-8.38-5.fc23.i686                                                                                     269/540 

*** Error in `semodule': corrupted double-linked list: 0x0000555d5e37fdf0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x77da5)[0x7f26d70d0da5]
/lib64/libc.so.6(+0x7ee23)[0x7f26d70d7e23]
/lib64/libc.so.6(+0x807a8)[0x7f26d70d97a8]
/lib64/libc.so.6(cfree+0x4c)[0x7f26d70dccac]
/lib64/libsepol.so.1(+0x6802)[0x7f26d787d802]
/lib64/libsepol.so.1(+0x5b8a4)[0x7f26d78d28a4]
/lib64/libsepol.so.1(+0x36b6c)[0x7f26d78adb6c]
/lib64/libsepol.so.1(+0x36b8e)[0x7f26d78adb8e]
/lib64/libsepol.so.1(+0x3708c)[0x7f26d78ae08c]
/lib64/libsepol.so.1(+0x5c1d9)[0x7f26d78d31d9]
/lib64/libsepol.so.1(+0x5c298)[0x7f26d78d3298]
/lib64/libsepol.so.1(+0x5c2b9)[0x7f26d78d32b9]
/lib64/libsepol.so.1(cil_db_destroy+0x39)[0x7f26d78ae729]
/lib64/libsemanage.so.1(+0x20245)[0x7f26d743a245]
/lib64/libsemanage.so.1(semanage_commit+0x7a)[0x7f26d7435aea]
semodule(+0x2413)[0x555d54da1413]
/lib64/libc.so.6(__libc_start_main+0xf0)[0x7f26d7079580]
semodule(+0x2859)[0x555d54da1859]
======= Memory map: ========
555d54d9f000-555d54da3000 r-xp 00000000 fd:00 810292                     /usr/sbin/semodule
555d54fa2000-555d54fa3000 r--p 00003000 fd:00 810292                     /usr/sbin/semodule
555d54fa3000-555d54fa4000 rw-p 00004000 fd:00 810292                     /usr/sbin/semodule
555d5561b000-555d5f6cc000 rw-p 00000000 00:00 0                          [heap]
7f26d0000000-7f26d0021000 rw-p 00000000 00:00 0 
7f26d0021000-7f26d4000000 ---p 00000000 00:00 0 
7f26d5141000-7f26d5157000 r-xp 00000000 fd:00 843152                     /usr/lib64/libgcc_s-5.3.1-20151207.so.1
7f26d5157000-7f26d5356000 ---p 00016000 fd:00 843152                     /usr/lib64/libgcc_s-5.3.1-20151207.so.1
7f26d5356000-7f26d5357000 r--p 00015000 fd:00 843152                     /usr/lib64/libgcc_s-5.3.1-20151207.so.1
7f26d5357000-7f26d5358000 rw-p 00016000 fd:00 843152                     /usr/lib64/libgcc_s-5.3.1-20151207.so.1
7f26d5358000-7f26d635a000 rw-p 00000000 00:00 0 
7f26d635a000-7f26d6372000 r-xp 00000000 fd:00 829959                     /usr/lib64/libpthread-2.22.so
7f26d6372000-7f26d6571000 ---p 00018000 fd:00 829959                     /usr/lib64/libpthread-2.22.so
7f26d6571000-7f26d6572000 r--p 00017000 fd:00 829959                     /usr/lib64/libpthread-2.22.so
7f26d6572000-7f26d6573000 rw-p 00018000 fd:00 829959                     /usr/lib64/libpthread-2.22.so
7f26d6573000-7f26d6577000 rw-p 00000000 00:00 0 
7f26d6577000-7f26d65ad000 r-xp 00000000 fd:00 808789                     /usr/lib64/libustr-1.0.so.1.0.4
7f26d65ad000-7f26d67ac000 ---p 00036000 fd:00 808789                     /usr/lib64/libustr-1.0.so.1.0.4
7f26d67ac000-7f26d67ad000 r--p 00035000 fd:00 808789                     /usr/lib64/libustr-1.0.so.1.0.4
7f26d67ad000-7f26d67ae000 rw-p 00036000 fd:00 808789                     /usr/lib64/libustr-1.0.so.1.0.4
7f26d67ae000-7f26d67bd000 r-xp 00000000 fd:00 828816                     /usr/lib64/libbz2.so.1.0.6
7f26d67bd000-7f26d69bc000 ---p 0000f000 fd:00 828816                     /usr/lib64/libbz2.so.1.0.6
7f26d69bc000-7f26d69bd000 r--p 0000e000 fd:00 828816                     /usr/lib64/libbz2.so.1.0.6
7f26d69bd000-7f26d69be000 rw-p 0000f000 fd:00 828816                     /usr/lib64/libbz2.so.1.0.6
7f26d69be000-7f26d69da000 r-xp 00000000 fd:00 830039                     /usr/lib64/libaudit.so.1.0.0
7f26d69da000-7f26d6bd9000 ---p 0001c000 fd:00 830039                     /usr/lib64/libaudit.so.1.0.0
7f26d6bd9000-7f26d6bda000 r--p 0001b000 fd:00 830039                     /usr/lib64/libaudit.so.1.0.0
7f26d6bda000-7f26d6bdb000 rw-p 0001c000 fd:00 830039                     /usr/lib64/libaudit.so.1.0.0
7f26d6bdb000-7f26d6be5000 rw-p 00000000 00:00 0 
7f26d6be5000-7f26d6be8000 r-xp 00000000 fd:00 829947                     /usr/lib64/libdl-2.22.so
7f26d6be8000-7f26d6de7000 ---p 00003000 fd:00 829947                     /usr/lib64/libdl-2.22.so
7f26d6de7000-7f26d6de8000 r--p 00002000 fd:00 829947                     /usr/lib64/libdl-2.22.so
7f26d6de8000-7f26d6de9000 rw-p 00003000 fd:00 829947                     /usr/lib64/libdl-2.22.so
7f26d6de9000-7f26d6e58000 r-xp 00000000 fd:00 836983                     /usr/lib64/libpcre.so.1.2.6
7f26d6e58000-7f26d7057000 ---p 0006f000 fd:00 836983                     /usr/lib64/libpcre.so.1.2.6
7f26d7057000-7f26d7058000 r--p 0006e000 fd:00 836983                     /usr/lib64/libpcre.so.1.2.6
7f26d7058000-7f26d7059000 rw-p 0006f000 fd:00 836983                     /usr/lib64/libpcre.so.1.2.6
7f26d7059000-7f26d7210000 r-xp 00000000 fd:00 829944                     /usr/lib64/libc-2.22.so
7f26d7210000-7f26d7410000 ---p 001b7000 fd:00 829944                     /usr/lib64/libc-2.22.so
7f26d7410000-7f26d7414000 r--p 001b7000 fd:00 829944                     /usr/lib64/libc-2.22.so
7f26d7414000-7f26d7416000 rw-p 001bb000 fd:00 829944                     /usr/lib64/libc-2.22.so
7f26d7416000-7f26d741a000 rw-p 00000000 00:00 0 
7f26d741a000-7f26d7453000 r-xp 00000000 fd:00 808790                     /usr/lib64/libsemanage.so.1
7f26d7453000-7f26d7652000 ---p 00039000 fd:00 808790                     /usr/lib64/libsemanage.so.1
7f26d7652000-7f26d7653000 r--p 00038000 fd:00 808790                     /usr/lib64/libsemanage.so.1
7f26d7653000-7f26d7654000 rw-p 00039000 fd:00 808790                     /usr/lib64/libsemanage.so.1
7f26d7654000-7f26d7673000 r-xp 00000000 fd:00 829985                     /usr/lib64/libselinux.so.1
7f26d7673000-7f26d7873000 ---p 0001f000 fd:00 829985                     /usr/lib64/libselinux.so.1
7f26d7873000-7f26d7874000 r--p 0001f000 fd:00 829985                     /usr/lib64/libselinux.so.1
7f26d7874000-7f26d7875000 rw-p 00020000 fd:00 829985                     /usr/lib64/libselinux.so.1
7f26d7875000-7f26d7877000 rw-p 00000000 00:00 0 
7f26d7877000-7f26d78f8000 r-xp 00000000 fd:00 829984                     /usr/lib64/libsepol.so.1
7f26d78f8000-7f26d7af8000 ---p 00081000 fd:00 829984                     /usr/lib64/libsepol.so.1
7f26d7af8000-7f26d7af9000 r--p 00081000 fd:00 829984                     /usr/lib64/libsepol.so.1
7f26d7af9000-7f26d7afa000 rw-p 00082000 fd:00 829984                     /usr/lib64/libsepol.so.1
7f26d7afa000-7f26d7afb000 rw-p 00000000 00:00 0 
7f26d7afb000-7f26d7b1c000 r-xp 00000000 fd:00 786452                     /usr/lib64/ld-2.22.so
7f26d7ca4000-7f26d7ceb000 rw-p 00000000 00:00 0 
7f26d7d19000-7f26d7d1b000 rw-p 00000000 00:00 0 
7f26d7d1b000-7f26d7d1c000 r--p 00020000 fd:00 786452                     /usr/lib64/ld-2.22.so
7f26d7d1c000-7f26d7d1d000 rw-p 00021000 fd:00 786452                     /usr/lib64/ld-2.22.so
7f26d7d1d000-7f26d7d1e000 rw-p 00000000 00:00 0 
7ffefd979000-7ffefd9bb000 rw-p 00000000 00:00 0                          [stack]
7ffefd9e5000-7ffefd9e7000 r--p 00000000 00:00 0                          [vvar]
7ffefd9e7000-7ffefd9e9000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
/var/tmp/rpm-tmp.a3eXc6: рядок 1: 26958 Перервано      (збережено знімок оперативної пам’яті)semodule -nB

Upgrade is hangs in semodule -nB:

0x00007f5428e2cd69 in __cil_resolve_ast_node () from /lib64/libsepol.so.1
Missing separate debuginfos, use: dnf debuginfo-install policycoreutils-2.4-18.fc23.x86_64
(gdb) bt
#0  0x00007f5428e2cd69 in __cil_resolve_ast_node () from /lib64/libsepol.so.1
#1  0x00007f5428e2d295 in __cil_resolve_ast_node_helper () from /lib64/libsepol.so.1
#2  0x00007f5428e2e3ec in cil_tree_walk_core () from /lib64/libsepol.so.1
#3  0x00007f5428e2e321 in cil_tree_walk () from /lib64/libsepol.so.1
#4  0x00007f5428e2e438 in cil_tree_walk_core () from /lib64/libsepol.so.1
#5  0x00007f5428e2e321 in cil_tree_walk () from /lib64/libsepol.so.1
#6  0x00007f5428e2a8c0 in cil_resolve_ast () from /lib64/libsepol.so.1
#7  0x00007f5428e0767a in cil_compile () from /lib64/libsepol.so.1
#8  0x00007f542899505b in semanage_direct_commit () from /lib64/libsemanage.so.1
#9  0x00007f5428990aea in semanage_commit () from /lib64/libsemanage.so.1
#10 0x0000557e6b284413 in main ()


Version-Release number of selected component (if applicable):

[root@apollo5 sysconfig]# rpm -q selinux-policy
selinux-policy-3.13.1-158.2.fc23.noarch
selinux-policy-3.13.1-158.4.fc23.noarch
selinux-policy-targeted-3.13.1-158.2.fc23.noarch
selinux-policy-targeted-3.13.1-158.4.fc23.noarch
policycoreutils-2.4-18.fc23.x86_64

Steps to Reproduce:

I installed selinux-policy-targeted (for dbus) in docker container with CentOS 7 and ran it in privileged mode with sysemd 219. My system hanged, so I rebooted it. Then I tried to upgrade my system, and it fails.

Actual results:

Various problems with SELinux. Slowdown of some operations.

Expected results:

N/A.
Comment 1 Fedora End Of Life 2016-11-24 10:35:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:45:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.